> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read an agent heartbeat policy

> Returns the saved policy, a sanitized editable effective policy, selectable accessible scope, and stale selections for an agent the authenticated human can manage. Saved stale IDs remain fail-closed until the sanitized policy is saved.



## OpenAPI

````yaml /openapi.json get /api/orgs/{id}/agents/{agentId}/heartbeat-policy
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Setup
  - name: Integrations and billing
  - name: Notifications and public
  - name: Private inbox
paths:
  /api/orgs/{id}/agents/{agentId}/heartbeat-policy:
    get:
      tags:
        - Agents
      summary: Read an agent heartbeat policy
      description: >-
        Returns the saved policy, a sanitized editable effective policy,
        selectable accessible scope, and stale selections for an agent the
        authenticated human can manage. Saved stale IDs remain fail-closed until
        the sanitized policy is saved.
      operationId: get_agent_heartbeat_policy
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: agentId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Heartbeat policy management response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeartbeatPolicyManagementResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  schemas:
    HeartbeatPolicyManagementResponse:
      type: object
      additionalProperties: false
      required:
        - agent
        - status
        - is_default
        - saved_policy
        - effective_policy
        - selectable
        - stale_selections
      properties:
        agent:
          type: object
          required:
            - id
            - display_name
            - avatar_url
          properties:
            id:
              type: string
              format: uuid
            display_name:
              type: string
              nullable: true
            avatar_url:
              type: string
              nullable: true
        status:
          type: string
          enum:
            - default
            - customized
        is_default:
          type: boolean
        saved_policy:
          $ref: '#/components/schemas/SavedHeartbeatPolicy'
          nullable: true
        effective_policy:
          $ref: '#/components/schemas/HeartbeatPolicyInput'
          description: Sanitized editable form with stale selections removed.
        selectable:
          type: object
          required:
            - projects
            - initiatives
            - columns
          properties:
            projects:
              type: array
              items:
                type: object
                required:
                  - id
                  - name
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
            initiatives:
              type: array
              items:
                type: object
                required:
                  - id
                  - name
                  - project_ids
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  project_ids:
                    type: array
                    items:
                      type: string
                      format: uuid
            columns:
              type: array
              items:
                type: object
                required:
                  - id
                  - project_id
                  - key
                  - label
                  - position
                properties:
                  id:
                    type: string
                    format: uuid
                  project_id:
                    type: string
                    format: uuid
                  key:
                    type: string
                  label:
                    type: string
                  position:
                    type: integer
        stale_selections:
          type: object
          description: >-
            Focus IDs retained by the saved runtime policy but removed from the
            editable effective policy.
          required:
            - project_ids
            - initiative_ids
            - columns
          properties:
            project_ids:
              type: array
              items:
                type: string
                format: uuid
            initiative_ids:
              type: array
              items:
                type: string
                format: uuid
            columns: f8769b10-cae7-4b42-be92-c6d9a335df86
    SavedHeartbeatPolicy:
      type: object
      description: >-
        Persisted policy. Stale focus IDs remain here so saved previews and real
        heartbeats fail closed until the sanitized editable policy is saved.
      additionalProperties: false
      required:
        - id
        - org_id
        - agent_member_id
        - created_by_member_id
        - updated_by_member_id
        - created_at
        - updated_at
        - sections
        - signal_categories
        - project_ids
        - initiative_ids
        - columns
      properties:
        id:
          type: string
          format: uuid
        org_id:
          type: string
          format: uuid
        agent_member_id:
          type: string
          format: uuid
        created_by_member_id:
          type: string
          format: uuid
          nullable: true
        updated_by_member_id:
          type: string
          format: uuid
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        sections: 8cf2737f-c454-4383-8bc4-3e4ca69c2572
        signal_categories: 3b0ae9db-e274-43e5-a9ce-d6aaeff862cf
        project_ids: e1b2b9fc-7f57-4025-a3ae-bb3b1aa906a0
        initiative_ids: c99b2e1d-9f2b-44cc-9b61-7426a6c60a60
        columns: 498a0f50-0a7b-4522-a4c3-fd39477f28a2
    HeartbeatPolicyInput:
      type: object
      additionalProperties: false
      required:
        - sections
        - signal_categories
        - project_ids
        - initiative_ids
        - columns
      properties:
        sections:
          type: object
          additionalProperties: false
          required:
            - goals
            - standalone_kpis
            - standalone_initiatives
            - assigned_issues
            - project_context
            - signals
            - attention
          properties:
            goals:
              type: boolean
            standalone_kpis:
              type: boolean
            standalone_initiatives:
              type: boolean
            assigned_issues:
              type: boolean
            project_context:
              type: boolean
            signals:
              type: boolean
            attention:
              type: boolean
        signal_categories:
          type: object
          additionalProperties: false
          required:
            - task
            - initiative
            - kpi
            - project
          properties:
            task:
              type: boolean
            initiative:
              type: boolean
            kpi:
              type: boolean
            project:
              type: boolean
        project_ids:
          type: array
          items:
            type: string
            format: uuid
        initiative_ids:
          type: array
          items:
            type: string
            format: uuid
        columns:
          type: array
          items:
            type: object
            additionalProperties: false
            required:
              - project_id
              - column_id
            properties:
              project_id:
                type: string
                format: uuid
              column_id:
                type: string
                format: uuid
    Error:
      type: object
      description: >-
        Common error responses contain error. Shared missing-auth and
        unknown-API responses also contain a stable code.
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      examples:
        - error: Unauthorized
          code: unauthorized
        - error: Not found
          code: not_found
      additionalProperties: true
  responses:
    Unauthorized:
      description: Missing or invalid authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated but not allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````